# Timezone Class Reference

`#include <Timezone.hpp>`

Inheritance diagram for Timezone:

[legend]
List of all members.

## Public Types

typedef RefCountPointer< const Timezone > | Ptr

## Public Member Functions

| Timezone (const MAPM &seconds)
| Constructor.
| Timezone (const ATDurationOrDerived::Ptr &duration, const DynamicContext *context)
| Constructor.
bool | equals (const Timezone::Ptr &other) const
| Returns true if other is equal to this, false otherwise.
ATDurationOrDerived::Ptr | asDayTimeDuration (const DynamicContext *context) const
const XMLCh * | asString (const DynamicContext *context) const
| Returns a string representation of this Timezone.
const MAPM & | asSeconds () const
| Returns the whole timezone expressed in seconds.

## Static Public Member Functions

static MAPM | convert (bool positive, int hour, int minute)
static void | validate (const MAPM &tz)

## Member Typedef Documentation

typedef RefCountPointer<const Timezone> Timezone::Ptr

## Constructor & Destructor Documentation

Timezone::Timezone | ( | const MAPM & | seconds | ) |

| Constructor. Creates a Timezone representing the given number of seconds.

Timezone::Timezone | ( | const ATDurationOrDerived::Ptr & | duration,
|  | const DynamicContext * | context
| ) |

| Constructor. Creates a Timezone representing the given duration.

## Member Function Documentation

ATDurationOrDerived::Ptr Timezone::asDayTimeDuration | ( | const DynamicContext * | context | ) | const

const MAPM& Timezone::asSeconds | ( |  | ) | const`[inline]`

| Returns the whole timezone expressed in seconds.

const XMLCh* Timezone::asString | ( | const DynamicContext * | context | ) | const

| Returns a string representation of this Timezone. If positive, does print leading '+' sign, and if UTC returns "Z".

static MAPM Timezone::convert | ( | bool | positive,
|  | int | hour,
|  | int | minute
| ) | `[static]`

bool Timezone::equals | ( | const Timezone::Ptr & | other | ) | const

| Returns true if other is equal to this, false otherwise.

static void Timezone::validate | ( | const MAPM & | tz | ) | `[static]`

The documentation for this class was generated from the following file:

- Timezone.hpp